Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
b2ba
/
{year}
/
{month}
GSTR-1A B2BA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/b2ba/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "b2ba": [
        {
          "ctin": "01AABCE2207R1Z5",
          "cfs": "Y",
          "inv": [
            {
              "chksum": "CHECKSUMVALUE",
              "updby": "S",
              "cflag": "N",
              "oinum": "S008400",
              "oidt": "24-11-2016",
              "inum": "S008400",
              "idt": "24-11-2016",
              "val": 729248.16,
              "pos": "06",
              "rchrg": "N",
              "etin": "01AABCE5507R1Z4",
              "inv_typ": "R",
              "opd": "2016-12",
              "itms": [
                {
                  "num": 1,
                  "itm_det": {
                    "rt": 5,
                    "txval": 10000,
                    "iamt": 833.33,
                    "camt": 0,
                    "samt": 0,
                    "csamt": 500
                  }
                }
              ]
            }
          ]
        }
      ]
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Query Parameters

from
string

Optional from date in DD/MM/YYYY format.

Response

200 - application/json

Success

The response is of type object.